Bug 12317 - FTP dumps core when listing directory
FTP dumps core when listing directory
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ftp (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-16 08:09 EDT by bfontana
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-20 10:51:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bfontana 2000-06-16 08:09:12 EDT
FTP can be caused to seg fault if I type:

ls -l [a-z]*
Comment 1 Pekka Savola 2000-07-14 06:34:48 EDT
Did you mean 'ftp' or 'ftpd' (just making sure).

I can't reproduce this.  

---
ftp> ls -l [a-z]*
output to local-file: [some file/dir in my local dir]? 
---

Comment 2 bfontana 2000-07-14 08:17:54 EDT
The problem is with the client (ftp) not (ftpd).  Here is the output from my sessions to two different machines.  The first is an RS6000 running AIX 4.2.1 
and the second one is an Intel P2 running SCO Unixware 2.1.3:

To the AIX box:
$ ftp riscpc
Connected to riscpc.securitytechnologies.com.
220 riscpc.securitytechnologies.com FTP server (Version 4.1 Fri Aug 7 06:02:04 CDT 1998) ready.
500 'AUTH GSSAPI': command not understood.
500 'AUTH KERBEROS_V4': command not understood.
KERBEROS_V4 rejected as an authentication type
Name (riscpc:bfontana): bfontana
331 Password required for bfontana.
Password:
230 User bfontana logged in.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> ls -l [a-z]*
Memory fault (core dumped) 
$ 

To the Unixware box:
$ ftp unixpc
Connected to unixpc.securitytechnologies.com.
220 unixpc FTP server (UNIX_SV 2.1.3) ready.
500 'AUTH GSSAPI': command not understood.
500 'AUTH KERBEROS_V4': command not understood.
KERBEROS_V4 rejected as an authentication type
Name (unixpc:bfontana): 
331 Password required for bfontana.
Password:
230 User bfontana logged in.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> ls -l [a-z]*
Memory fault (core dumped) 
$ 
Comment 3 Bernhard Rosenkraenzer 2001-01-20 18:27:39 EST
Can't reproduce this with the current version.

Note You need to log in before you can comment on or make changes to this bug.